import os, sys
import math

pref = sys.argv[1]
angcount = int(sys.argv[2])
dirs = os.listdir('.')

letterdict = dict({
	1: ["0"],
	5 : ["1","28","37","46","5"],
	8 : ["1","2","3","4","5","6","7","8"],
	9 : ["1", "9G", "28", "AF", "37", "BE", "46", "CD", "5"],
	16 : ["1", "9", "2", "A", "3", "B", "4", "C", "5", "D", "6", "E", "7", "F", "8", "G"]
})

startchar = 'A'

for file in dirs:
	if file.startswith(pref):

		newname = pref
		preflen = len(pref)

		sub = int(file[preflen:preflen+3]) - 1
		finchar = chr(ord(startchar) + int(math.floor(sub/angcount)))
		suffix = letterdict[angcount][sub % angcount]

		if (len(suffix) == 2):
			newname += finchar + suffix[0] + finchar + suffix[1]
		else:
			newname += finchar + suffix

		newname += file[-4:]

		os.rename(file, newname)
